package com.ss.android.ugc.aweme.music.video.service;

import X.2Pr;
import X.BD4;
import X.BFN;
import X.C1683AgB;
import X.D1G;
import X.LsC;
import android.app.Activity;
import com.bytedance.covode.number.Covode;
import java.util.HashMap;
import java.util.Map;

public interface IMusicVideoService {
    static {
        Covode.recordClassIndex(94482);
    }

    D1G<? extends C1683AgB> LIZ(String str);

    void LIZ(LsC<? super BD4, 2Pr> lsC);

    void LIZ(String str, int i);

    void LIZ(String str, Map<String, String> map);

    boolean LIZ();

    boolean LIZ(Activity activity);

    int LIZIZ();

    void LIZIZ(LsC<? super BD4, 2Pr> lsC);

    boolean LIZJ();

    boolean LIZLLL();

    HashMap<String, BFN> LJ();
}
